const mongoose = require("mongoose");

const locationSchema = new mongoose.Schema({
    City: String,
    State: String,
    Port1:String,
    Port2:String,
    userId: { type: mongoose.Schema.Types.ObjectId, ref: "User" }, 
    createdAt: { type: Date, default: Date.now },
});

const Location = mongoose.model("Location", locationSchema); // Correct model assignment
module.exports = Location;
